Interaktive API-Referenz
Alle Crowdee-API-Endpunkte interaktiv erkunden und testen.
openIdConnectOpenID Connect<token>Redirect to API docs after authentication
curl -X GET "https://example.com/v2/auth/start"openIdConnectOpenID Connect<token>Log out of the current session
application/json- response
message*stringcurl -X GET "https://example.com/v2/auth/logout"{ "message": "string"}openIdConnectOpenID Connect<token>The list of comments
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/comments"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string" }]openIdConnectOpenID Connect<token>commentId*stringcuid2Metadata of the comment
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timetext*stringimage*string|nulltime*string|nulledited*booleanauthorId*stringlength <= 24projectId*stringlength <= 24fileId*|length <= 24workflowId*|length <= 24parentCommentId*|length <= 24authorName*stringcurl -X GET "https://example.com/v2/comments/:commentId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string"}openIdConnectOpenID Connect<token>commentId*stringcuid2The updated comment data
application/json- body
text?string1 <= lengthimage?string|nulltime?string|nulledited?booleanparentCommentId?|24 <= length <= 24The updated comment
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timetext*stringimage*string|nulltime*string|nulledited*booleanauthorId*stringlength <= 24projectId*stringlength <= 24fileId*|length <= 24workflowId*|length <= 24parentCommentId*|length <= 24authorName*stringcurl -X PUT "https://example.com/v2/comments/:commentId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string"}openIdConnectOpenID Connect<token>commentId*stringcuid2Metadata of the deleted comment
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timetext*stringimage*string|nulltime*string|nulledited*booleanauthorId*stringlength <= 24projectId*stringlength <= 24fileId*|length <= 24workflowId*|length <= 24parentCommentId*|length <= 24authorName*stringcurl -X DELETE "https://example.com/v2/comments/:commentId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string"}openIdConnectOpenID Connect<token>The list of files
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/files"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" }]openIdConnectOpenID Connect<token>fileId*stringcuid2Metadata of a file
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringtype*stringsize*integer-2147483648 <= value <= 2147483647path*stringetag*stringorganizationId*stringlength <= 24uploaderId*stringlength <= 24lastModified*|date-timeprojectId*|length <= 24privacyLevel*string"private""sensitive""internal""public"tags*array<string>|nullmetadata*string|number|boolean|null||array<unknown>additionalInfo*string|number|boolean|null||array<unknown>origin*string"user_upload""workflow_generated"originWorkflowId*|length <= 24sourceFileId*|length <= 24enrichmentStatus*|"pending""running""completed""failed"nullplaceholder*string|nullcontentHash*string|nullfolderId*|length <= 24curl -X GET "https://example.com/v2/files/:fileId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string"}openIdConnectOpenID Connect<token>fileId*stringcuid2The fields to update on the file
application/json- body
metadata?unknowntags?array<string>privacyLevel?string"private""sensitive""internal""public"additionalInfo?unknownfolderId?|24 <= length <= 24Updated file metadata
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringtype*stringsize*integer-2147483648 <= value <= 2147483647path*stringetag*stringorganizationId*stringlength <= 24uploaderId*stringlength <= 24lastModified*|date-timeprojectId*|length <= 24privacyLevel*string"private""sensitive""internal""public"tags*array<string>|nullmetadata*string|number|boolean|null||array<unknown>additionalInfo*string|number|boolean|null||array<unknown>origin*string"user_upload""workflow_generated"originWorkflowId*|length <= 24sourceFileId*|length <= 24enrichmentStatus*|"pending""running""completed""failed"nullplaceholder*string|nullcontentHash*string|nullfolderId*|length <= 24curl -X PUT "https://example.com/v2/files/:fileId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string"}openIdConnectOpenID Connect<token>fileId*stringcuid2Metadata of a file
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringtype*stringsize*integer-2147483648 <= value <= 2147483647path*stringetag*stringorganizationId*stringlength <= 24uploaderId*stringlength <= 24lastModified*|date-timeprojectId*|length <= 24privacyLevel*string"private""sensitive""internal""public"tags*array<string>|nullmetadata*string|number|boolean|null||array<unknown>additionalInfo*string|number|boolean|null||array<unknown>origin*string"user_upload""workflow_generated"originWorkflowId*|length <= 24sourceFileId*|length <= 24enrichmentStatus*|"pending""running""completed""failed"nullplaceholder*string|nullcontentHash*string|nullfolderId*|length <= 24curl -X DELETE "https://example.com/v2/files/:fileId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string"}openIdConnectOpenID Connect<token>fileId*stringcuid2Content of a file
image/png- response
curl -X GET "https://example.com/v2/files/:fileId/download"{}openIdConnectOpenID Connect<token>fileId*stringcuid2The list of comments
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/files/:fileId/comments"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string" }]openIdConnectOpenID Connect<token>fileId*stringcuid2The comment metadata
application/json- body
text*string1 <= lengthimage?string|nulltime?string|nulledited?booleanparentCommentId?|24 <= length <= 24The created comment
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timetext*stringimage*string|nulltime*string|nulledited*booleanauthorId*stringlength <= 24projectId*stringlength <= 24fileId*|length <= 24workflowId*|length <= 24parentCommentId*|length <= 24authorName*stringcurl -X POST "https://example.com/v2/files/:fileId/comments" \ -H "Content-Type: application/json" \ -d '{ "text": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string"}openIdConnectOpenID Connect<token>fileId*stringcuid2Workflows linked to the file
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/files/:fileId/workflows"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string" }]openIdConnectOpenID Connect<token>fileId*stringcuid2Presigned URL for the file
application/json- response
url*stringuricurl -X GET "https://example.com/v2/files/:fileId/presigned-url"{ "url": "http://example.com"}openIdConnectOpenID Connect<token>folderId*stringcuid2The fields to update on the folder
application/json- body
name?string1 <= length <= 100parentId?|24 <= length <= 24Updated folder
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringorganizationId*stringlength <= 24projectId*stringlength <= 24parentId*|length <= 24createdById*stringlength <= 24curl -X PUT "https://example.com/v2/folders/:folderId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "organizationId": "string", "projectId": "string", "parentId": "string", "createdById": "string"}openIdConnectOpenID Connect<token>folderId*stringcuid2The deleted folder
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringorganizationId*stringlength <= 24projectId*stringlength <= 24parentId*|length <= 24createdById*stringlength <= 24curl -X DELETE "https://example.com/v2/folders/:folderId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "organizationId": "string", "projectId": "string", "parentId": "string", "createdById": "string"}openIdConnectOpenID Connect<token>invitationId*stringcuid2Invitation details
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeinviteeEmail*stringorganizationId*stringlength <= 24role*string"viewer""user""admin""superadmin"status*string"pending""accepted""declined""expired"expirationDate*stringdate-timeorganizationName*stringcurl -X GET "https://example.com/v2/invitations/:invitationId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "inviteeEmail": "string", "organizationId": "string", "role": "viewer", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z", "organizationName": "string"}openIdConnectOpenID Connect<token>invitationId*stringcuid2The deleted invitation
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeinviteeEmail*stringorganizationId*stringlength <= 24role*string"viewer""user""admin""superadmin"status*string"pending""accepted""declined""expired"expirationDate*stringdate-timecurl -X DELETE "https://example.com/v2/invitations/:invitationId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "inviteeEmail": "string", "organizationId": "string", "role": "viewer", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z"}openIdConnectOpenID Connect<token>invitationId*stringcuid2The created membership after accepting the invitation
application/json- response
id*|length <= 24createdAt*|date-timeupdatedAt*|date-timeuserId*stringlength <= 24organizationId*stringlength <= 24role*string"viewer""user""admin""superadmin"isDefault*booleancurl -X POST "https://example.com/v2/invitations/:invitationId/accept"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "organizationId": "string", "role": "viewer", "isDefault": true}openIdConnectOpenID Connect<token>The list of organizations
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/organizations"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string" }]openIdConnectOpenID Connect<token>The organization to create
application/json- body
name*string3 <= length <= 50description*string1 <= length <= 50The created organization
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringbalance_cents*integer-2147483648 <= value <= 2147483647blocked_balance_cents*integer-2147483648 <= value <= 2147483647modules*array<>logo*string|nulllogoPlaceholder*string|nullcurl -X POST "https://example.com/v2/organizations" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string"}openIdConnectOpenID Connect<token>organizationId*stringcuid2Metadata of an organization
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringbalance_cents*integer-2147483648 <= value <= 2147483647blocked_balance_cents*integer-2147483648 <= value <= 2147483647modules*array<>logo*string|nulllogoPlaceholder*string|nullcurl -X GET "https://example.com/v2/organizations/:organizationId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string"}openIdConnectOpenID Connect<token>organizationId*stringcuid2The organization fields to update
application/json- body
name?string3 <= length <= 50description?string1 <= length <= 50modules?array<>The updated organization
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringbalance_cents*integer-2147483648 <= value <= 2147483647blocked_balance_cents*integer-2147483648 <= value <= 2147483647modules*array<>logo*string|nulllogoPlaceholder*string|nullcurl -X PUT "https://example.com/v2/organizations/:organizationId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string"}openIdConnectOpenID Connect<token>organizationId*stringcuid2The invite to create
application/json- body
inviteeEmail*stringemailrole*string"viewer""user""admin""superadmin"Invitation
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeinviteeEmail*stringorganizationId*stringlength <= 24role*string"viewer""user""admin""superadmin"status*string"pending""accepted""declined""expired"expirationDate*stringdate-timecurl -X POST "https://example.com/v2/organizations/:organizationId/invite" \ -H "Content-Type: application/json" \ -d '{ "inviteeEmail": "user@example.com", "role": "viewer" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "inviteeEmail": "string", "organizationId": "string", "role": "viewer", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z"}openIdConnectOpenID Connect<token>organizationId*stringcuid2multipart/form-data- body
logo*filebinaryUpdated organization with logo
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringbalance_cents*integer-2147483648 <= value <= 2147483647blocked_balance_cents*integer-2147483648 <= value <= 2147483647modules*array<>logo*string|nulllogoPlaceholder*string|nullcurl -X PATCH "https://example.com/v2/organizations/:organizationId/logo" \ -F logo="string"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string"}openIdConnectOpenID Connect<token>organizationId*string24 <= length <= 24userId*string24 <= length <= 24New role for the member
application/json- body
role*string"viewer""user""admin"Updated membership
application/json- response
id*|length <= 24createdAt*|date-timeupdatedAt*|date-timeuserId*stringlength <= 24organizationId*stringlength <= 24role*string"viewer""user""admin""superadmin"isDefault*booleancurl -X PATCH "https://example.com/v2/organizations/:organizationId/members/:userId" \ -H "Content-Type: application/json" \ -d '{ "role": "viewer" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "organizationId": "string", "role": "viewer", "isDefault": true}openIdConnectOpenID Connect<token>organizationId*stringcuid2The billing info
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeorganizationId*stringlength <= 24companyName*string|nullcompanyEmail*string|nullcompanyContactSalutation*|length <= 25companyContactFirstName*string|nullcompanyContactLastName*string|nullcompanyTaxNumber*string|nullcompanyVatRegistrationId*string|nullpersonSalutation*|length <= 25personFirstName*string|nullpersonLastName*string|nullemail*stringphoneNumber*stringbillingSupplement*string|nullbillingStreet*stringbillingZip*stringbillingCity*stringbillingCountryCode*stringshippingSupplement*string|nullshippingStreet*stringshippingZip*stringshippingCity*stringshippingCountryCode*stringtype*string"company""person"version*integer-2147483648 <= value <= 2147483647isComplete*booleancurl -X GET "https://example.com/v2/organizations/:organizationId/billing"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "companyName": "string", "companyEmail": "string", "companyContactSalutation": "string", "companyContactFirstName": "string", "companyContactLastName": "string", "companyTaxNumber": "string", "companyVatRegistrationId": "string", "personSalutation": "string", "personFirstName": "string", "personLastName": "string", "email": "string", "phoneNumber": "string", "billingSupplement": "string", "billingStreet": "string", "billingZip": "string", "billingCity": "string", "billingCountryCode": "string", "shippingSupplement": "string", "shippingStreet": "string", "shippingZip": "string", "shippingCity": "string", "shippingCountryCode": "string", "type": "company", "version": -2147483648, "isComplete": true}openIdConnectOpenID Connect<token>organizationId*stringcuid2The billing info to create for this organization
application/json- body
companyName?string|nullcompanyEmail?string|nullcompanyContactSalutation?|length <= 25companyContactFirstName?string|nullcompanyContactLastName?string|nullcompanyTaxNumber?string|nullcompanyVatRegistrationId?string|nullpersonSalutation*stringlength <= 25personFirstName*string1 <= lengthpersonLastName*string1 <= lengthemail*stringphoneNumber*stringbillingSupplement?string|nullbillingStreet*stringbillingZip*stringbillingCity*stringbillingCountryCode*stringshippingSupplement?string|nullshippingStreet*stringshippingZip*stringshippingCity*stringshippingCountryCode*stringtype*"person""person"The created billing info
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeorganizationId*stringlength <= 24companyName*string|nullcompanyEmail*string|nullcompanyContactSalutation*|length <= 25companyContactFirstName*string|nullcompanyContactLastName*string|nullcompanyTaxNumber*string|nullcompanyVatRegistrationId*string|nullpersonSalutation*|length <= 25personFirstName*string|nullpersonLastName*string|nullemail*stringphoneNumber*stringbillingSupplement*string|nullbillingStreet*stringbillingZip*stringbillingCity*stringbillingCountryCode*stringshippingSupplement*string|nullshippingStreet*stringshippingZip*stringshippingCity*stringshippingCountryCode*stringtype*string"company""person"version*integer-2147483648 <= value <= 2147483647isComplete*booleancurl -X POST "https://example.com/v2/organizations/:organizationId/billing" \ -H "Content-Type: application/json" \ -d '{ "personSalutation": "string", "personFirstName": "string", "personLastName": "string", "email": "string", "phoneNumber": "string", "billingStreet": "string", "billingZip": "string", "billingCity": "string", "billingCountryCode": "string", "shippingStreet": "string", "shippingZip": "string", "shippingCity": "string", "shippingCountryCode": "string", "type": "person" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "companyName": "string", "companyEmail": "string", "companyContactSalutation": "string", "companyContactFirstName": "string", "companyContactLastName": "string", "companyTaxNumber": "string", "companyVatRegistrationId": "string", "personSalutation": "string", "personFirstName": "string", "personLastName": "string", "email": "string", "phoneNumber": "string", "billingSupplement": "string", "billingStreet": "string", "billingZip": "string", "billingCity": "string", "billingCountryCode": "string", "shippingSupplement": "string", "shippingStreet": "string", "shippingZip": "string", "shippingCity": "string", "shippingCountryCode": "string", "type": "company", "version": -2147483648, "isComplete": true}openIdConnectOpenID Connect<token>organizationId*stringcuid2The billing info fields to update for this organization
application/json- body
companyName?string|nullcompanyEmail?string|nullcompanyContactSalutation?|length <= 25companyContactFirstName?string|nullcompanyContactLastName?string|nullcompanyTaxNumber?string|nullcompanyVatRegistrationId?string|nullpersonSalutation?stringlength <= 25personFirstName?string1 <= lengthpersonLastName?string1 <= lengthemail?stringphoneNumber?stringbillingSupplement?string|nullbillingStreet?stringbillingZip?stringbillingCity?stringbillingCountryCode?stringshippingSupplement?string|nullshippingStreet?stringshippingZip?stringshippingCity?stringshippingCountryCode?stringtype*"person""person"The updated billing info
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeorganizationId*stringlength <= 24companyName*string|nullcompanyEmail*string|nullcompanyContactSalutation*|length <= 25companyContactFirstName*string|nullcompanyContactLastName*string|nullcompanyTaxNumber*string|nullcompanyVatRegistrationId*string|nullpersonSalutation*|length <= 25personFirstName*string|nullpersonLastName*string|nullemail*stringphoneNumber*stringbillingSupplement*string|nullbillingStreet*stringbillingZip*stringbillingCity*stringbillingCountryCode*stringshippingSupplement*string|nullshippingStreet*stringshippingZip*stringshippingCity*stringshippingCountryCode*stringtype*string"company""person"version*integer-2147483648 <= value <= 2147483647isComplete*booleancurl -X PUT "https://example.com/v2/organizations/:organizationId/billing" \ -H "Content-Type: application/json" \ -d '{ "type": "person" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "companyName": "string", "companyEmail": "string", "companyContactSalutation": "string", "companyContactFirstName": "string", "companyContactLastName": "string", "companyTaxNumber": "string", "companyVatRegistrationId": "string", "personSalutation": "string", "personFirstName": "string", "personLastName": "string", "email": "string", "phoneNumber": "string", "billingSupplement": "string", "billingStreet": "string", "billingZip": "string", "billingCity": "string", "billingCountryCode": "string", "shippingSupplement": "string", "shippingStreet": "string", "shippingZip": "string", "shippingCity": "string", "shippingCountryCode": "string", "type": "company", "version": -2147483648, "isComplete": true}openIdConnectOpenID Connect<token>organizationId*stringcuid2the users of the organization
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/organizations/:organizationId/users"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string" }]openIdConnectOpenID Connect<token>organizationId*stringcuid2the users of the organization
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/organizations/:organizationId/invitations"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "inviteeEmail": "string", "organizationId": "string", "role": "viewer", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z" }]openIdConnectOpenID Connect<token>id*string24 <= length <= 24Created PayPal order
application/json- response
orderId*string5 <= lengthcurl -X POST "https://example.com/v2/paypal/:id/create-order"{ "orderId": "string"}openIdConnectOpenID Connect<token>id*string24 <= length <= 24Captured and confirmed
application/json- response
ok*booleancurl -X POST "https://example.com/v2/paypal/:id/capture"{ "ok": true}openIdConnectOpenID Connect<token>type?string"standard""research"status?string"active""archived"The list of projects
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active" }]openIdConnectOpenID Connect<token>The project metadata
application/json- body
name*string3 <= length <= 50description*string1 <= length <= 50type?string"standard""research"status?string"active""archived"The created project
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringorganizationId*stringlength <= 24type*string"standard""research"status*string"active""archived"curl -X POST "https://example.com/v2/projects" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}openIdConnectOpenID Connect<token>Per-project progress for every project in the active organization
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/progress"[ { "projectId": "string", "completed": 0, "total": 0 }]openIdConnectOpenID Connect<token>Org-wide file and crowd-answer totals for the projects list page
application/json- response
totalProjects*numberactiveProjects*numbertotalFiles*numbertotalCrowdAnswers*numbercurl -X GET "https://example.com/v2/projects/stats"{ "totalProjects": 0, "activeProjects": 0, "totalFiles": 0, "totalCrowdAnswers": 0}openIdConnectOpenID Connect<token>projectId*stringcuid2Metadata of the project
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringorganizationId*stringlength <= 24type*string"standard""research"status*string"active""archived"curl -X GET "https://example.com/v2/projects/:projectId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}openIdConnectOpenID Connect<token>projectId*stringcuid2The updated project data
application/json- body
name?string3 <= length <= 50description?string1 <= length <= 50type?string"standard""research"status?string"active""archived"The updated project
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringorganizationId*stringlength <= 24type*string"standard""research"status*string"active""archived"curl -X PUT "https://example.com/v2/projects/:projectId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}openIdConnectOpenID Connect<token>projectId*stringcuid2Metadata of the deleted project
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringorganizationId*stringlength <= 24type*string"standard""research"status*string"active""archived"curl -X DELETE "https://example.com/v2/projects/:projectId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}openIdConnectOpenID Connect<token>projectId*stringcuid2The archived project
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringorganizationId*stringlength <= 24type*string"standard""research"status*string"active""archived"curl -X PATCH "https://example.com/v2/projects/:projectId/archive"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}openIdConnectOpenID Connect<token>projectId*stringcuid2The restored project
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*stringorganizationId*stringlength <= 24type*string"standard""research"status*string"active""archived"curl -X PATCH "https://example.com/v2/projects/:projectId/restore"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "organizationId": "string", "type": "standard", "status": "active"}openIdConnectOpenID Connect<token>projectId*stringcuid2pipelineId?stringuuidThe list of workflows
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/workflows"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string" }]openIdConnectOpenID Connect<token>projectId*stringcuid2The workflow metadata
application/json- body
pipelineId*stringuuidpipelineName*stringuuid*stringuuidn8nExecutionId*integer1 <= value <= 2147483647n8nWorkflowId*string5 <= length <= 100n8nWorkflowName*string5 <= length <= 100n8nWorkflowNameLong*string5 <= length <= 100fileIds*array<>The created workflow
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timepipelineId*stringuuidpipelineName*stringuuid*stringuuidstatus*string"in_progress""finished""no_result""error"statusMessage*string|nulln8nExecutionId*integer-2147483648 <= value <= 2147483647n8nWorkflowId*stringn8nWorkflowName*stringn8nWorkflowNameLong*stringresult*string|nullaiInterpretation*string|nullprojectId*stringlength <= 24curl -X POST "https://example.com/v2/projects/:projectId/workflows" \ -H "Content-Type: application/json" \ -d '{ "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "n8nExecutionId": 1, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "fileIds": [ "stringstringstringstring" ] }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string"}openIdConnectOpenID Connect<token>projectId*stringcuid2List of files belonging to the project
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/files"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" }]openIdConnectOpenID Connect<token>projectId*stringcuid2multipart/form-data- body
file[]*|folderId?string24 <= length <= 24Upload one or multiple files
application/json- response
[index: integer]?curl -X POST "https://example.com/v2/projects/:projectId/files" \ -F file[]="string"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "type": "string", "size": -2147483648, "path": "string", "etag": "string", "organizationId": "string", "uploaderId": "string", "lastModified": "2019-08-24T14:15:22Z", "projectId": "string", "privacyLevel": "private", "tags": [ "string" ], "metadata": "string", "additionalInfo": "string", "origin": "user_upload", "originWorkflowId": "string", "sourceFileId": "string", "enrichmentStatus": "pending", "placeholder": "string", "contentHash": "string", "folderId": "string" }]openIdConnectOpenID Connect<token>projectId*stringcuid2The list of comments
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/comments"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "text": "string", "image": "string", "time": "string", "edited": true, "authorId": "string", "projectId": "string", "fileId": "string", "workflowId": "string", "parentCommentId": "string", "authorName": "string" }]openIdConnectOpenID Connect<token>projectId*stringcuid2List of folders belonging to the project
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/folders"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "organizationId": "string", "projectId": "string", "parentId": "string", "createdById": "string" }]openIdConnectOpenID Connect<token>projectId*stringcuid2The folder to create
application/json- body
name*string1 <= length <= 100parentId?|24 <= length <= 24The created folder
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringorganizationId*stringlength <= 24projectId*stringlength <= 24parentId*|length <= 24createdById*stringlength <= 24curl -X POST "https://example.com/v2/projects/:projectId/folders" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "organizationId": "string", "projectId": "string", "parentId": "string", "createdById": "string"}openIdConnectOpenID Connect<token>projectId*stringcuid2The list of jobs
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/jobs"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "title": "string", "description": "string", "status": "assignable", "category": "survey", "language": "en", "surveyTemplateVersionId": "string", "inputDataSetId": "string", "maxAssignments": -32768, "maxRepetitionsPerVariant": -2147483648, "maxWorkTimeMinutes": -2147483648, "rewardCredits": -9007199254740991, "creditsBlocked": -9007199254740991, "platformFeeBlocked": -9007199254740991, "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "qualificationRequirements": "string", "requiredPanelIds": [ "string" ], "verificationCode": "string", "autoAcceptHours": -2147483648, "forceUniqueTasks": true, "isDryRun": true, "dryRunAllowedEmails": [ "string" ], "dryRunMagicToken": "string", "projectId": "string", "createdById": "string", "watcherUserIds": [ "string" ], "reviewerUserIds": [ "string" ], "noTasksReviewerNotifiedAt": "2019-08-24T14:15:22Z" }]openIdConnectOpenID Connect<token>projectId*stringcuid2The job metadata
application/json- body
name*string3 <= length <= 100title*string3 <= length <= 200description*string3 <= length <= 5000category*string"survey""qualification_test""gathering"language*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"surveyTemplateVersionId*stringlength <= 24inputDataSetId?|length <= 24maxAssignments?integer1 <= value <= 10000maxRepetitionsPerVariant?integer1 <= value <= 10000maxWorkTimeMinutes?|1 <= value <= 1440rewardCredits?integer0 <= value <= 100000validFrom?|date-timevalidUntil?|date-timequalificationRequirements?|nullrequiredPanelIds?array<>items <= 20verificationCode?string|nullforceUniqueTasks?booleanisDryRun?booleandryRunAllowedEmails?array<string>dryRunMagicToken?string|nullwatcherUserIds?array<>items <= 50reviewerUserIds?array<>items <= 50noTasksReviewerNotifiedAt?|date-timeThe created job
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringtitle*stringdescription*stringstatus*string"assignable""not_assignable""no_tasks""finished""archived""paused"category*string"survey""qualification_test""gathering"language*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"surveyTemplateVersionId*stringlength <= 24inputDataSetId*|length <= 24maxAssignments*integer-32768 <= value <= 32767maxRepetitionsPerVariant*integer-2147483648 <= value <= 2147483647maxWorkTimeMinutes*|-2147483648 <= value <= 2147483647rewardCredits*integer-9007199254740991 <= value <= 9007199254740991creditsBlocked*integer-9007199254740991 <= value <= 9007199254740991platformFeeBlocked*integer-9007199254740991 <= value <= 9007199254740991validFrom*|date-timevalidUntil*|date-timequalificationRequirements*string|number|boolean|null||array<unknown>requiredPanelIds*array<>verificationCode*string|nullautoAcceptHours*|-2147483648 <= value <= 2147483647forceUniqueTasks*booleanisDryRun*booleandryRunAllowedEmails*array<string>dryRunMagicToken*string|nullprojectId*stringlength <= 24createdById*|length <= 24watcherUserIds*array<>reviewerUserIds*array<>noTasksReviewerNotifiedAt*|date-timecurl -X POST "https://example.com/v2/projects/:projectId/jobs" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "title": "string", "description": "string", "category": "survey", "language": "en", "surveyTemplateVersionId": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "title": "string", "description": "string", "status": "assignable", "category": "survey", "language": "en", "surveyTemplateVersionId": "string", "inputDataSetId": "string", "maxAssignments": -32768, "maxRepetitionsPerVariant": -2147483648, "maxWorkTimeMinutes": -2147483648, "rewardCredits": -9007199254740991, "creditsBlocked": -9007199254740991, "platformFeeBlocked": -9007199254740991, "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "qualificationRequirements": "string", "requiredPanelIds": [ "string" ], "verificationCode": "string", "autoAcceptHours": -2147483648, "forceUniqueTasks": true, "isDryRun": true, "dryRunAllowedEmails": [ "string" ], "dryRunMagicToken": "string", "projectId": "string", "createdById": "string", "watcherUserIds": [ "string" ], "reviewerUserIds": [ "string" ], "noTasksReviewerNotifiedAt": "2019-08-24T14:15:22Z"}openIdConnectOpenID Connect<token>projectId*stringcuid2The dossier of workflows grouped by pipelineId
application/json- response
[index: integer]?array<any>curl -X GET "https://example.com/v2/projects/:projectId/dossier"[ [ "string", [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string" } ] ]]openIdConnectOpenID Connect<token>projectId*stringcuid2Survey templates for this project
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/survey-templates"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "latestVersion": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string" } }]openIdConnectOpenID Connect<token>projectId*stringcuid2New survey template with initial content
application/json- body
name*stringdescription?string|nullscope?string"project""organization""public"language*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"surveyJs*Created survey template
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*string|nullscope*string"project""organization""public"language*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"projectId*stringlength <= 24organizationId*stringlength <= 24latestVersion*|nullcurl -X POST "https://example.com/v2/projects/:projectId/survey-templates" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "language": "en", "surveyJs": { "property1": null, "property2": null } }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "latestVersion": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "templateId": "string", "versionNumber": -2147483648, "surveyJs": "string", "authorId": "string" }}openIdConnectOpenID Connect<token>projectId*stringcuid2Verification contexts for this project
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/verification-contexts"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "projectId": "string", "organizationId": "string", "contextData": "string", "isDefault": true }]openIdConnectOpenID Connect<token>projectId*stringcuid2New verification context
application/json- body
name*stringdescription?string|nullcontextData*isDefault?booleanCreated verification context
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*string|nullprojectId*stringlength <= 24organizationId*stringlength <= 24contextData*string|number|boolean|null||array<unknown>isDefault*booleancurl -X POST "https://example.com/v2/projects/:projectId/verification-contexts" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "contextData": { "property1": null, "property2": null } }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "projectId": "string", "organizationId": "string", "contextData": "string", "isDefault": true}openIdConnectOpenID Connect<token>projectId*stringcuid2Input data sets for this project
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/input-data"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string" }]openIdConnectOpenID Connect<token>projectId*stringcuid2New input data set with lists and optional groups
application/json- body
name*stringdescription?string|nullscope?string"project""organization"language*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"lists*array<>1 <= itemsgroups?array<>Created input data set
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*string|nullscope*string"project""organization"language*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"projectId*stringlength <= 24organizationId*stringlength <= 24uploaderId*|length <= 24lists*array<>groups*array<>curl -X POST "https://example.com/v2/projects/:projectId/input-data" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "language": "en", "lists": [ { "name": "string", "values": [ "string" ] } ] }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string", "lists": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "values": "string", "dataSetId": "string" } ], "groups": [ { "id": "string", "name": "string", "lists": [ { "id": "string", "name": "string", "values": "string" } ] } ]}openIdConnectOpenID Connect<token>projectId*stringcuid2multipart/form-data- body
file*filebinarydescription?stringscope?string"project""organization"language*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"Created input data set from CSV
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timename*stringdescription*string|nullscope*string"project""organization"language*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"projectId*stringlength <= 24organizationId*stringlength <= 24uploaderId*|length <= 24lists*array<>groups*array<>curl -X POST "https://example.com/v2/projects/:projectId/input-data/from-csv" \ -F file="string" \ -F language="en"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "scope": "project", "language": "en", "projectId": "string", "organizationId": "string", "uploaderId": "string", "lists": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "values": "string", "dataSetId": "string" } ], "groups": [ { "id": "string", "name": "string", "lists": [ { "id": "string", "name": "string", "values": "string" } ] } ]}openIdConnectOpenID Connect<token>projectId*stringcuid2Pipeline runs for this project
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/pipeline-runs"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "fileId": "string", "projectId": "string", "organizationId": "string", "status": "pending", "jobId": "string", "result": "string", "error": "string" }]openIdConnectOpenID Connect<token>projectId*stringcuid2Pipeline run request
application/json- body
pipelineSlug*string1 <= length <= 100fileIds*array<>1 <= items <= 50contextId?string24 <= length <= 24Created pipeline runs
application/json- response
runs*array<>curl -X POST "https://example.com/v2/projects/:projectId/run-pipeline" \ -H "Content-Type: application/json" \ -d '{ "pipelineSlug": "string", "fileIds": [ "stringstringstringstring" ] }'{ "runs": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "fileId": "string", "projectId": "string", "organizationId": "string", "status": "pending", "jobId": "string", "result": "string", "error": "string" } ]}openIdConnectOpenID Connect<token>projectId*string24 <= length <= 24fileId*string24 <= length <= 24Enrichment re-queued
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timepipelineSlug*stringfileId*stringlength <= 24projectId*|length <= 24organizationId*stringlength <= 24status*string"pending""running""completed""failed"jobId*string|nullresult*string|number|boolean|null||array<unknown>error*string|nullcurl -X POST "https://example.com/v2/projects/:projectId/files/:fileId/enrichment/retry"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "fileId": "string", "projectId": "string", "organizationId": "string", "status": "pending", "jobId": "string", "result": "string", "error": "string"}openIdConnectOpenID Connect<token>projectId*stringcuid2status?string"pending""running""awaiting_crowd""completed""failed"List of verification runs for the project
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/projects/:projectId/verification-runs"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "projectId": "string", "organizationId": "string", "contextId": "string", "contextDataSnapshot": "string", "status": "pending", "jobId": "string", "verdict": "authentic", "confidence": "string", "scorecard": "string", "explanation": "string", "report": "string", "error": "string", "files": [ { "id": "string", "name": "string", "type": "string", "role": "string" } ], "stages": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verificationPipelineRunId": "string", "stageSlug": "string", "stageName": "string", "stageType": "ai", "stageOrder": -2147483648, "status": "pending", "verdict": "authentic", "confidence": "string", "stageReport": "string", "artifacts": "string", "crowdJobId": "string", "jobId": "string", "minResponses": -2147483648, "consensusThreshold": "string", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "error": "string" } ] }]openIdConnectOpenID Connect<token>projectId*stringcuid2Verification run request
application/json- body
pipelineSlug*string1 <= length <= 100fileIds*array<>items <= 50contextId?string24 <= length <= 24contextData?Created verification pipeline run
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timepipelineSlug*stringprojectId*stringlength <= 24organizationId*stringlength <= 24contextId*|length <= 24contextDataSnapshot*string|number|boolean|null||array<unknown>status*string"pending""running""awaiting_crowd""completed""failed"jobId*string|nullverdict*|"authentic""manipulated""synthetic""inconclusive""unverified"nullconfidence*string|nullscorecard*string|number|boolean|null||array<unknown>explanation*string|nullreport*string|nullerror*string|nullfiles*array<>stages?array<>curl -X POST "https://example.com/v2/projects/:projectId/verification-runs" \ -H "Content-Type: application/json" \ -d '{ "pipelineSlug": "string", "fileIds": [ "stringstringstringstring" ] }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "projectId": "string", "organizationId": "string", "contextId": "string", "contextDataSnapshot": "string", "status": "pending", "jobId": "string", "verdict": "authentic", "confidence": "string", "scorecard": "string", "explanation": "string", "report": "string", "error": "string", "files": [ { "id": "string", "name": "string", "type": "string", "role": "string" } ], "stages": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verificationPipelineRunId": "string", "stageSlug": "string", "stageName": "string", "stageType": "ai", "stageOrder": -2147483648, "status": "pending", "verdict": "authentic", "confidence": "string", "stageReport": "string", "artifacts": "string", "crowdJobId": "string", "jobId": "string", "minResponses": -2147483648, "consensusThreshold": "string", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "error": "string" } ]}openIdConnectOpenID Connect<token>projectId*string24 <= length <= 24runId*string24 <= length <= 24Verification run with stage details
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timepipelineSlug*stringprojectId*stringlength <= 24organizationId*stringlength <= 24contextId*|length <= 24contextDataSnapshot*string|number|boolean|null||array<unknown>status*string"pending""running""awaiting_crowd""completed""failed"jobId*string|nullverdict*|"authentic""manipulated""synthetic""inconclusive""unverified"nullconfidence*string|nullscorecard*string|number|boolean|null||array<unknown>explanation*string|nullreport*string|nullerror*string|nullfiles*array<>stages?array<>curl -X GET "https://example.com/v2/projects/:projectId/verification-runs/:runId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "projectId": "string", "organizationId": "string", "contextId": "string", "contextDataSnapshot": "string", "status": "pending", "jobId": "string", "verdict": "authentic", "confidence": "string", "scorecard": "string", "explanation": "string", "report": "string", "error": "string", "files": [ { "id": "string", "name": "string", "type": "string", "role": "string" } ], "stages": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verificationPipelineRunId": "string", "stageSlug": "string", "stageName": "string", "stageType": "ai", "stageOrder": -2147483648, "status": "pending", "verdict": "authentic", "confidence": "string", "stageReport": "string", "artifacts": "string", "crowdJobId": "string", "jobId": "string", "minResponses": -2147483648, "consensusThreshold": "string", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "error": "string" } ]}openIdConnectOpenID Connect<token>projectId*string24 <= length <= 24runId*string24 <= length <= 24Restarted verification run
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timepipelineSlug*stringprojectId*stringlength <= 24organizationId*stringlength <= 24contextId*|length <= 24contextDataSnapshot*string|number|boolean|null||array<unknown>status*string"pending""running""awaiting_crowd""completed""failed"jobId*string|nullverdict*|"authentic""manipulated""synthetic""inconclusive""unverified"nullconfidence*string|nullscorecard*string|number|boolean|null||array<unknown>explanation*string|nullreport*string|nullerror*string|nullfiles*array<>stages?array<>curl -X POST "https://example.com/v2/projects/:projectId/verification-runs/:runId/restart"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineSlug": "string", "projectId": "string", "organizationId": "string", "contextId": "string", "contextDataSnapshot": "string", "status": "pending", "jobId": "string", "verdict": "authentic", "confidence": "string", "scorecard": "string", "explanation": "string", "report": "string", "error": "string", "files": [ { "id": "string", "name": "string", "type": "string", "role": "string" } ], "stages": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verificationPipelineRunId": "string", "stageSlug": "string", "stageName": "string", "stageType": "ai", "stageOrder": -2147483648, "status": "pending", "verdict": "authentic", "confidence": "string", "stageReport": "string", "artifacts": "string", "crowdJobId": "string", "jobId": "string", "minResponses": -2147483648, "consensusThreshold": "string", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "error": "string" } ]}openIdConnectOpenID Connect<token>status?string"pending""succeeded""failed""canceled"type?string"charge""refund"limit?integer1 <= value <= 20050offset?|0 <= value0List of transactions
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/transactions"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string" }]openIdConnectOpenID Connect<token>Organization balance
application/json- response
balanceCents*integercurl -X GET "https://example.com/v2/transactions/balance"{ "balanceCents": 0}openIdConnectOpenID Connect<token>transactionId*string24 <= length <= 24A transaction
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeorganizationId*stringlength <= 24userId*stringlength <= 24type*string"charge""refund"status*string"pending""succeeded""failed""canceled"currency*stringlength <= 3amountCents*integer-2147483648 <= value <= 2147483647taxCents*integer-2147483648 <= value <= 2147483647idempotencyKey*|length <= 64provider*|"mock_paypal""paypal"nullproviderTransactionId*string|nullreference*string|nulldescription*string|nullmetadata*string|number|boolean|null||array<unknown>curl -X GET "https://example.com/v2/transactions/:transactionId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string"}openIdConnectOpenID Connect<token>Charge request
application/json- body
amountCents*integer100 <= value <= 500000currency?"EUR""EUR""EUR"description?stringlength <= 200idempotencyKey?string8 <= length <= 64Charge started
application/json- response
transactionId*string24 <= length <= 24redirectUrl*string1 <= lengthcurl -X POST "https://example.com/v2/transactions/charge" \ -H "Content-Type: application/json" \ -d '{ "amountCents": 100 }'{ "transactionId": "stringstringstringstring", "redirectUrl": "string"}openIdConnectOpenID Connect<token>transactionId*string24 <= length <= 24Charge confirmed (or already confirmed)
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeorganizationId*stringlength <= 24userId*stringlength <= 24type*string"charge""refund"status*string"pending""succeeded""failed""canceled"currency*stringlength <= 3amountCents*integer-2147483648 <= value <= 2147483647taxCents*integer-2147483648 <= value <= 2147483647idempotencyKey*|length <= 64provider*|"mock_paypal""paypal"nullproviderTransactionId*string|nullreference*string|nulldescription*string|nullmetadata*string|number|boolean|null||array<unknown>curl -X POST "https://example.com/v2/transactions/:transactionId/confirm"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string"}openIdConnectOpenID Connect<token>transactionId*string24 <= length <= 24Charge canceled (or already canceled)
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeorganizationId*stringlength <= 24userId*stringlength <= 24type*string"charge""refund"status*string"pending""succeeded""failed""canceled"currency*stringlength <= 3amountCents*integer-2147483648 <= value <= 2147483647taxCents*integer-2147483648 <= value <= 2147483647idempotencyKey*|length <= 64provider*|"mock_paypal""paypal"nullproviderTransactionId*string|nullreference*string|nulldescription*string|nullmetadata*string|number|boolean|null||array<unknown>curl -X POST "https://example.com/v2/transactions/:transactionId/cancel"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string"}openIdConnectOpenID Connect<token>transactionId*string24 <= length <= 24Charge failed (or already failed)
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeorganizationId*stringlength <= 24userId*stringlength <= 24type*string"charge""refund"status*string"pending""succeeded""failed""canceled"currency*stringlength <= 3amountCents*integer-2147483648 <= value <= 2147483647taxCents*integer-2147483648 <= value <= 2147483647idempotencyKey*|length <= 64provider*|"mock_paypal""paypal"nullproviderTransactionId*string|nullreference*string|nulldescription*string|nullmetadata*string|number|boolean|null||array<unknown>curl -X POST "https://example.com/v2/transactions/:transactionId/fail"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "userId": "string", "type": "charge", "status": "pending", "currency": "str", "amountCents": -2147483648, "taxCents": -2147483648, "idempotencyKey": "string", "provider": "mock_paypal", "providerTransactionId": "string", "reference": "string", "description": "string", "metadata": "string"}openIdConnectOpenID Connect<token>type?string"paypal_charge""paypal_refund""job_funded""job_refunded""job_reward_adjusted_debit""job_reward_adjusted_credit""job_extended""ai_evaluation_funded""verification_run_charged""lt_run_charged""manual_credit_grant""monitoring_run_charged""finetune_run_charged""worker_bonus"limit?integer1 <= value <= 20050offset?|0 <= value0The organization's credit ledger, newest first
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/credit-ledger"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "type": "paypal_charge", "amountCents": -2147483648, "balanceAfterCents": -2147483648, "referenceType": "string", "referenceId": "string", "description": "string", "lexwareInvoiceId": "2ff6df09-518a-406f-a8c8-de8ff842ebb5" }]openIdConnectOpenID Connect<token>entryId*string24 <= length <= 24Redirect to the hosted invoice
curl -X GET "https://example.com/v2/credit-ledger/:entryId/receipt"openIdConnectOpenID Connect<token>External provider catalog with live aggregates
application/json- response
items*array<>curl -X GET "https://example.com/v2/admin-external-providers"{ "items": [ { "slug": "string", "name": "string", "description": "string", "status": "active", "capabilities": { "create": true, "cancel": true, "pause": true, "resume": true, "syncStatus": true, "syncCost": true, "manageTeams": true, "nativeMultiSubmission": true, "reviewSubmissions": true, "liveBalance": true }, "panelSpecFields": [ "string" ], "panelSpecFieldOptions": { "property1": [ { "value": "string", "labelEn": "string", "labelDe": "string" } ], "property2": [ { "value": "string", "labelEn": "string", "labelDe": "string" } ] }, "balanceCents": 0, "currency": "string", "activeExternalJobCount": 0, "liveBalanceCents": 0, "liveAvailableBalanceCents": 0, "liveBalanceCurrency": "string", "liveBalanceSyncedAt": "2019-08-24T14:15:22Z" } ]}openIdConnectOpenID Connect<token>slug*stringExternal provider detail
application/json- response
slug*stringname*stringdescription*stringstatus*string"active""maintenance""deprecated"capabilities*panelSpecFields*array<string>panelSpecFieldOptions?balanceCents*numbercurrency*stringactiveExternalJobCount*numberliveBalanceCents*number|nullliveAvailableBalanceCents*number|nullliveBalanceCurrency*string|nullliveBalanceSyncedAt*|date-timecurl -X GET "https://example.com/v2/admin-external-providers/:slug"{ "slug": "string", "name": "string", "description": "string", "status": "active", "capabilities": { "create": true, "cancel": true, "pause": true, "resume": true, "syncStatus": true, "syncCost": true, "manageTeams": true, "nativeMultiSubmission": true, "reviewSubmissions": true, "liveBalance": true }, "panelSpecFields": [ "string" ], "panelSpecFieldOptions": { "property1": [ { "value": "string", "labelEn": "string", "labelDe": "string" } ], "property2": [ { "value": "string", "labelEn": "string", "labelDe": "string" } ] }, "balanceCents": 0, "currency": "string", "activeExternalJobCount": 0, "liveBalanceCents": 0, "liveAvailableBalanceCents": 0, "liveBalanceCurrency": "string", "liveBalanceSyncedAt": "2019-08-24T14:15:22Z"}openIdConnectOpenID Connect<token>slug*stringorganizationId*string24 <= length <= 24Eligible crowd jobs for this organization
application/json- response
items*array<>curl -X GET "https://example.com/v2/admin-external-providers/:slug/eligible-crowd-jobs?organizationId=stringstringstringstring"{ "items": [ { "id": "string", "title": "string", "description": "string", "category": "string", "rewardCredits": 0, "projectId": "string", "projectName": "string" } ]}openIdConnectOpenID Connect<token>slug*stringcrowdJobId?string24 <= length <= 24status?string"draft""pending_creation""active""completing""completed""canceled""error"External jobs for this provider
application/json- response
items*array<>curl -X GET "https://example.com/v2/admin-external-providers/:slug/external-jobs"{ "items": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string" } ]}openIdConnectOpenID Connect<token>slug*stringNew entry external job
application/json- body
crowdJobId*string24 <= length <= 24title*string1 <= length <= 500description*string1 <= lengthlanguage?string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"panelSpecification*plannedStartAt?|date-timeplannedEndAt?|date-timeCreated external job (queued for creation on the provider)
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeproviderSlug*stringcrowdJobId*stringlength <= 24kind*string"entry""individual_followup"parentExternalJobId*|length <= 24targetGuestWorkerId*|length <= 24targetExternalWorkerId*string|nullstatus*string"draft""pending_creation""active""completing""completed""canceled""error"externalStatusRaw*string|nullexternalReferenceId*string|nulltitle*stringdescription*stringlanguage*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"panelSpecification*string|number|boolean|null||array<unknown>correlationToken*stringderivedVerificationCode*string|nullpublicJobUrl*string|nullplannedStartAt*|date-timeplannedEndAt*|date-timestartedAt*|date-timecompletedAt*|date-timecanceledAt*|date-timecostCurrency*stringlength <= 3estimatedCostCents*integer-9007199254740991 <= value <= 9007199254740991actualCostCents*|-9007199254740991 <= value <= 9007199254740991lastSyncedAt*|date-timelastErrorMessage*string|nullmetadata*string|number|boolean|null||array<unknown>createdByUserId*|length <= 24sourceCrowdAnswerId*|length <= 24curl -X POST "https://example.com/v2/admin-external-providers/:slug/external-jobs" \ -H "Content-Type: application/json" \ -d '{ "crowdJobId": "stringstringstringstring", "title": "string", "description": "string", "panelSpecification": { "participants": 1 } }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string"}openIdConnectOpenID Connect<token>slug*stringexternalJobId*string24 <= length <= 24External job detail
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeproviderSlug*stringcrowdJobId*stringlength <= 24kind*string"entry""individual_followup"parentExternalJobId*|length <= 24targetGuestWorkerId*|length <= 24targetExternalWorkerId*string|nullstatus*string"draft""pending_creation""active""completing""completed""canceled""error"externalStatusRaw*string|nullexternalReferenceId*string|nulltitle*stringdescription*stringlanguage*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"panelSpecification*string|number|boolean|null||array<unknown>correlationToken*stringderivedVerificationCode*string|nullpublicJobUrl*string|nullplannedStartAt*|date-timeplannedEndAt*|date-timestartedAt*|date-timecompletedAt*|date-timecanceledAt*|date-timecostCurrency*stringlength <= 3estimatedCostCents*integer-9007199254740991 <= value <= 9007199254740991actualCostCents*|-9007199254740991 <= value <= 9007199254740991lastSyncedAt*|date-timelastErrorMessage*string|nullmetadata*string|number|boolean|null||array<unknown>createdByUserId*|length <= 24sourceCrowdAnswerId*|length <= 24curl -X GET "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string"}openIdConnectOpenID Connect<token>slug*stringexternalJobId*string24 <= length <= 24External job queued for cancellation
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeproviderSlug*stringcrowdJobId*stringlength <= 24kind*string"entry""individual_followup"parentExternalJobId*|length <= 24targetGuestWorkerId*|length <= 24targetExternalWorkerId*string|nullstatus*string"draft""pending_creation""active""completing""completed""canceled""error"externalStatusRaw*string|nullexternalReferenceId*string|nulltitle*stringdescription*stringlanguage*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"panelSpecification*string|number|boolean|null||array<unknown>correlationToken*stringderivedVerificationCode*string|nullpublicJobUrl*string|nullplannedStartAt*|date-timeplannedEndAt*|date-timestartedAt*|date-timecompletedAt*|date-timecanceledAt*|date-timecostCurrency*stringlength <= 3estimatedCostCents*integer-9007199254740991 <= value <= 9007199254740991actualCostCents*|-9007199254740991 <= value <= 9007199254740991lastSyncedAt*|date-timelastErrorMessage*string|nullmetadata*string|number|boolean|null||array<unknown>createdByUserId*|length <= 24sourceCrowdAnswerId*|length <= 24curl -X POST "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId/cancel"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string"}openIdConnectOpenID Connect<token>slug*stringexternalJobId*string24 <= length <= 24External job after a manual status sync
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeproviderSlug*stringcrowdJobId*stringlength <= 24kind*string"entry""individual_followup"parentExternalJobId*|length <= 24targetGuestWorkerId*|length <= 24targetExternalWorkerId*string|nullstatus*string"draft""pending_creation""active""completing""completed""canceled""error"externalStatusRaw*string|nullexternalReferenceId*string|nulltitle*stringdescription*stringlanguage*string"en""de""fr""es""it""pt""nl""pl""sv""no""da""fi""ru""tr""ar""zh""ja"panelSpecification*string|number|boolean|null||array<unknown>correlationToken*stringderivedVerificationCode*string|nullpublicJobUrl*string|nullplannedStartAt*|date-timeplannedEndAt*|date-timestartedAt*|date-timecompletedAt*|date-timecanceledAt*|date-timecostCurrency*stringlength <= 3estimatedCostCents*integer-9007199254740991 <= value <= 9007199254740991actualCostCents*|-9007199254740991 <= value <= 9007199254740991lastSyncedAt*|date-timelastErrorMessage*string|nullmetadata*string|number|boolean|null||array<unknown>createdByUserId*|length <= 24sourceCrowdAnswerId*|length <= 24curl -X POST "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId/sync"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "crowdJobId": "string", "kind": "entry", "parentExternalJobId": "string", "targetGuestWorkerId": "string", "targetExternalWorkerId": "string", "status": "draft", "externalStatusRaw": "string", "externalReferenceId": "string", "title": "string", "description": "string", "language": "en", "panelSpecification": "string", "correlationToken": "string", "derivedVerificationCode": "string", "publicJobUrl": "string", "plannedStartAt": "2019-08-24T14:15:22Z", "plannedEndAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "canceledAt": "2019-08-24T14:15:22Z", "costCurrency": "str", "estimatedCostCents": -9007199254740991, "actualCostCents": -9007199254740991, "lastSyncedAt": "2019-08-24T14:15:22Z", "lastErrorMessage": "string", "metadata": "string", "createdByUserId": "string", "sourceCrowdAnswerId": "string"}openIdConnectOpenID Connect<token>slug*stringexternalJobId*string24 <= length <= 24External job audit/event log
application/json- response
items*array<>curl -X GET "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId/events"{ "items": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "externalJobId": "string", "type": "created", "payload": "string", "actorUserId": "string" } ]}openIdConnectOpenID Connect<token>slug*stringexternalJobId*string24 <= length <= 24External workers who submitted through this external job
application/json- response
items*array<>curl -X GET "https://example.com/v2/admin-external-providers/:slug/external-jobs/:externalJobId/workers"{ "items": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "externalWorkerId": "string", "externalDisplayName": "string", "guestWorkerId": "string", "personalWhitelistTeamId": "string", "status": "active", "firstSeenAt": "2019-08-24T14:15:22Z", "lastSeenAt": "2019-08-24T14:15:22Z", "metadata": "string" } ]}openIdConnectOpenID Connect<token>slug*stringProvider balance and ledger entries
application/json- response
balanceCents*numbercurrency*stringitems*array<>curl -X GET "https://example.com/v2/admin-external-providers/:slug/ledger"{ "balanceCents": 0, "currency": "string", "items": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "externalJobId": "string", "type": "starting_balance", "amountCents": -9007199254740991, "balanceAfterCents": -9007199254740991, "currency": "str", "breakdown": "string", "note": "string", "createdByUserId": "string" } ]}openIdConnectOpenID Connect<token>slug*stringStarting balance entry
application/json- body
amountCents*integercurrency?string3 <= length <= 3"EUR"note*string1 <= lengthRecorded starting balance
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeproviderSlug*stringexternalJobId*|length <= 24type*string"starting_balance""balance_correction""external_job_charge""external_job_refund"amountCents*integer-9007199254740991 <= value <= 9007199254740991balanceAfterCents*integer-9007199254740991 <= value <= 9007199254740991currency*stringlength <= 3breakdown*string|number|boolean|null||array<unknown>note*string|nullcreatedByUserId*|length <= 24curl -X POST "https://example.com/v2/admin-external-providers/:slug/ledger/starting-balance" \ -H "Content-Type: application/json" \ -d '{ "amountCents": 0, "note": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "externalJobId": "string", "type": "starting_balance", "amountCents": -9007199254740991, "balanceAfterCents": -9007199254740991, "currency": "str", "breakdown": "string", "note": "string", "createdByUserId": "string"}openIdConnectOpenID Connect<token>slug*stringBalance correction entry
application/json- body
amountCents*integercurrency?string3 <= length <= 3"EUR"note*string1 <= lengthRecorded correction
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeproviderSlug*stringexternalJobId*|length <= 24type*string"starting_balance""balance_correction""external_job_charge""external_job_refund"amountCents*integer-9007199254740991 <= value <= 9007199254740991balanceAfterCents*integer-9007199254740991 <= value <= 9007199254740991currency*stringlength <= 3breakdown*string|number|boolean|null||array<unknown>note*string|nullcreatedByUserId*|length <= 24curl -X POST "https://example.com/v2/admin-external-providers/:slug/ledger/correction" \ -H "Content-Type: application/json" \ -d '{ "amountCents": 0, "note": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "providerSlug": "string", "externalJobId": "string", "type": "starting_balance", "amountCents": -9007199254740991, "balanceAfterCents": -9007199254740991, "currency": "str", "breakdown": "string", "note": "string", "createdByUserId": "string"}openIdConnectOpenID Connect<token>The list of users
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/users"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string" }]openIdConnectOpenID Connect<token>The user to create
application/json- body
sub*string10 <= length <= 100name*string3 <= length <= 50email*stringemailavatar?string|nullavatarPlaceholder?string|nullorganizationId?|length <= 24isSuperadmin?booleancreatedVia?|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale?string|nulltimezone?string|nullThe created user
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timesub*stringname*stringemail*stringavatar*string|nullavatarPlaceholder*string|nullorganizationId*|length <= 24role*|"viewer""user""admin""superadmin"nullisSuperadmin*booleancreatedVia*|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale*string|nulltimezone*string|nullcurl -X POST "https://example.com/v2/users" \ -H "Content-Type: application/json" \ -d '{ "sub": "stringstri", "name": "string", "email": "user@example.com" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}openIdConnectOpenID Connect<token>User profile
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timesub*stringname*stringemail*stringavatar*string|nullavatarPlaceholder*string|nullorganizationId*|length <= 24role*|"viewer""user""admin""superadmin"nullisSuperadmin*booleancreatedVia*|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale*string|nulltimezone*string|nullcurl -X GET "https://example.com/v2/users/me"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}openIdConnectOpenID Connect<token>Profile update
application/json- body
name?string1 <= length <= 100timezone?string1 <= length <= 100Updated user profile
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timesub*stringname*stringemail*stringavatar*string|nullavatarPlaceholder*string|nullorganizationId*|length <= 24role*|"viewer""user""admin""superadmin"nullisSuperadmin*booleancreatedVia*|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale*string|nulltimezone*string|nullcurl -X PATCH "https://example.com/v2/users/me" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}openIdConnectOpenID Connect<token>The authenticated user's email confirmation status
application/json- response
status*string"pending""accepted""expired""none"curl -X GET "https://example.com/v2/users/me/registration-status"{ "status": "pending"}openIdConnectOpenID Connect<token>Confirmation email re-sent
application/json- response
message*stringcurl -X POST "https://example.com/v2/users/me/resend-confirmation"{ "message": "string"}openIdConnectOpenID Connect<token>multipart/form-data- body
avatar*filebinaryUpdated user with avatar
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timesub*stringname*stringemail*stringavatar*string|nullavatarPlaceholder*string|nullorganizationId*|length <= 24role*|"viewer""user""admin""superadmin"nullisSuperadmin*booleancreatedVia*|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale*string|nulltimezone*string|nullcurl -X PATCH "https://example.com/v2/users/me/avatar" \ -F avatar="string"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}openIdConnectOpenID Connect<token>userId*stringcuid2User profile
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timesub*stringname*stringemail*stringavatar*string|nullavatarPlaceholder*string|nullorganizationId*|length <= 24role*|"viewer""user""admin""superadmin"nullisSuperadmin*booleancreatedVia*|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale*string|nulltimezone*string|nullcurl -X GET "https://example.com/v2/users/:userId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}openIdConnectOpenID Connect<token>userId*stringcuid2User profile
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timesub*stringname*stringemail*stringavatar*string|nullavatarPlaceholder*string|nullorganizationId*|length <= 24role*|"viewer""user""admin""superadmin"nullisSuperadmin*booleancreatedVia*|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale*string|nulltimezone*string|nullcurl -X DELETE "https://example.com/v2/users/:userId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}openIdConnectOpenID Connect<token>The user to create
application/json- body
name*string3 <= length <= 50email*stringemailavatar?string|nullavatarPlaceholder?string|nullisSuperadmin?booleancreatedVia?|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale?string|nulltimezone?string|nullpassword*string8 <= lengthinvitationId?string24 <= length <= 24Success
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timesub*stringname*stringemail*stringavatar*string|nullavatarPlaceholder*string|nullorganizationId*|length <= 24role*|"viewer""user""admin""superadmin"nullisSuperadmin*booleancreatedVia*|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale*string|nulltimezone*string|nullcurl -X POST "https://example.com/v2/users/signup" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "email": "user@example.com", "password": "stringst" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}openIdConnectOpenID Connect<token>registrationId*stringcuid2Updated registration
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeauthentikUserId*integer-2147483648 <= value <= 2147483647userId*|length <= 24status*string"pending""accepted""expired"expirationDate*stringdate-timecurl -X GET "https://example.com/v2/users/verify/:registrationId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "authentikUserId": -2147483648, "userId": "string", "status": "pending", "expirationDate": "2019-08-24T14:15:22Z"}openIdConnectOpenID Connect<token>Email address to send a password reset link to
application/json- body
email*stringemailA reset link was sent if an account with this email exists
application/json- response
message*stringcurl -X POST "https://example.com/v2/users/request-password-reset" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{ "message": "string"}openIdConnectOpenID Connect<token>Reset token (from the emailed link) and the new password
application/json- body
token*string24 <= length <= 24password*string8 <= lengthPassword updated
application/json- response
message*stringcurl -X POST "https://example.com/v2/users/reset-password" \ -H "Content-Type: application/json" \ -d '{ "token": "stringstringstringstring", "password": "stringst" }'{ "message": "string"}openIdConnectOpenID Connect<token>userId*stringcuid2New role for the user within their organization (viewer, user or admin). Superadmin is a global flag, not settable here.
application/json- body
role*string"viewer""user""admin"Updated user
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timesub*stringname*stringemail*stringavatar*string|nullavatarPlaceholder*string|nullorganizationId*|length <= 24role*|"viewer""user""admin""superadmin"nullisSuperadmin*booleancreatedVia*|"signup""invitation""worker_signup""oidc_auto_provision"nulllocale*string|nulltimezone*string|nullcurl -X PUT "https://example.com/v2/users/:userId/role" \ -H "Content-Type: application/json" \ -d '{ "role": "viewer" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "sub": "string", "name": "string", "email": "string", "avatar": "string", "avatarPlaceholder": "string", "organizationId": "string", "role": "viewer", "isSuperadmin": true, "createdVia": "signup", "locale": "string", "timezone": "string"}openIdConnectOpenID Connect<token>List of user's organization memberships with org details
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/users/me/organizations"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "organizationId": "string", "role": "viewer", "isDefault": true, "organization": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "balance_cents": -2147483648, "blocked_balance_cents": -2147483648, "modules": [ "crowdsourcing" ], "logo": "string", "logoPlaceholder": "string" } }]openIdConnectOpenID Connect<token>organizationId*stringcuid2Default organization updated
application/json- response
id*|length <= 24createdAt*|date-timeupdatedAt*|date-timeuserId*stringlength <= 24organizationId*stringlength <= 24role*string"viewer""user""admin""superadmin"isDefault*booleancurl -X PUT "https://example.com/v2/users/me/organizations/:organizationId/default"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "organizationId": "string", "role": "viewer", "isDefault": true}openIdConnectOpenID Connect<token>List of API keys for the authenticated user
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/users/me/api-keys"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ] }]openIdConnectOpenID Connect<token>Create an API key for the authenticated user
application/json- body
name*string1 <= length <= 100role?|"viewer""user""admin""superadmin"nullexpirationDate?|date-timeorganizationIds?array<>Created API key and one-time plaintext key
application/json- response
apiKey*key*stringcurl -X POST "https://example.com/v2/users/me/api-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "apiKey": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ] }, "key": "string"}openIdConnectOpenID Connect<token>apiKeyId*stringcuid2Update an existing API key
application/json- body
name?stringrole?|"viewer""user""admin""superadmin"nullexpirationDate?|date-timestate?string"active""expired"organizationIds?array<>Updated API key
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeuserId*stringlength <= 24name*stringrole*|"viewer""user""admin""superadmin"nullexpirationDate*|date-timestate*string"active""expired"organizationIds*array<>curl -X PATCH "https://example.com/v2/users/me/api-keys/:apiKeyId" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ]}openIdConnectOpenID Connect<token>apiKeyId*stringcuid2Revoked API key
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timeuserId*stringlength <= 24name*stringrole*|"viewer""user""admin""superadmin"nullexpirationDate*|date-timestate*string"active""expired"organizationIds*array<>curl -X DELETE "https://example.com/v2/users/me/api-keys/:apiKeyId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ]}openIdConnectOpenID Connect<token>apiKeyId*stringcuid2Rotated API key and one-time plaintext key
application/json- response
apiKey*key*stringcurl -X POST "https://example.com/v2/users/me/api-keys/:apiKeyId/rotate"{ "apiKey": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "userId": "string", "name": "string", "role": "viewer", "expirationDate": "2019-08-24T14:15:22Z", "state": "active", "organizationIds": [ "stringstringstringstring" ] }, "key": "string"}openIdConnectOpenID Connect<token>The list of workflows
application/json- response
[index: integer]?curl -X GET "https://example.com/v2/workflows"[ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string" }]openIdConnectOpenID Connect<token>workflowId*stringcuid2Metadata of the workflow
application/json- response
id*stringlength <= 24createdAt*|date-timeupdatedAt*|date-timepipelineId*stringuuidpipelineName*stringuuid*stringuuidstatus*string"in_progress""finished""no_result""error"statusMessage*string|nulln8nExecutionId*integer-2147483648 <= value <= 2147483647n8nWorkflowId*stringn8nWorkflowName*stringn8nWorkflowNameLong*stringresult*string|nullaiInterpretation*string|nullprojectId*stringlength <= 24curl -X GET "https://example.com/v2/workflows/:workflowId"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "pipelineId": "621ef2b0-ba1d-48e5-89dc-b778e6ed42fd", "pipelineName": "string", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "status": "in_progress", "statusMessage": "string", "n8nExecutionId": -2147483648, "n8nWorkflowId": "string", "n8nWorkflowName": "string", "n8nWorkflowNameLong": "string", "result": "string", "aiInterpretation": "string", "projectId": "string"}openIdConnectOpenID Connect<token>workflowId*stringcuid2The updated workflow data
application/json- body
[...]
